Subject: Re: Memory Violation With Windres and Shared Data Segments
From: Chris Faylor <[email-masked]>
To: Harold Weissfield <[email-masked]>
Cc: [email-masked]
Date: Fri, 6 Aug 1999 11:53:22 -0400

On Fri, Aug 06, 1999 at 02:57:23PM +0000, Harold Weissfield wrote:
>On a different note, I have been searching through the documentation for GCC 
>for information on how to created a shared data segment in a DLL, but so far 
>have been unable to come up with anything.  Under Visual C++, this was done 
>with a #pragma comment(linker, "-section:Shared,rws") and then a #pragma 
>data_seg("Shared").  Is there any equivalent construct in GCC?

I don't think that there is a way to do this currently with gcc/binutils tools,
unfortunately.  I used to use Visual C tools to make a section sharable when
I needed to do this.

-chris

--
Want to unsubscribe from this list?
Send a message to [email-masked]